// build link

jQuery(document).ready(function(){

	//build popups
	$('.isPopup').each(function(){
		$(this).attr('href', '#'+$(this).attr('modalid'));
		
		var modalHTML = '<div class="uk-modal" aria-hidden="true" style="overflow-y: scroll; display: none;">'+
                        '<div class="uk-modal-dialog" style="padding:0px;">'+
                        '<a href="" class="uk-modal-close uk-close" style="margin: 10px;"></a>'+
                        '<iframe src="" style=" width: 100%;height: 500px;">'+
                        '</iframe></div> </div>';
		$(this).after(modalHTML);
		
		$(this).next().attr('id', $(this).attr('modalid')).find('iframe').attr('src', $(this).attr('getHref'));
	});
	
	//build page internal
	$('.isInternalPage').each(function(){
		$(this).attr('href', $(this).attr('getHref'));
	});
	
	//build tooltips
	$('[tooltipholdertext]').each(function(){	
		$(this).attr({'title': $(this).attr('tooltipholdertext')});
	});
	
	//build bookmark
	$('.isGetBookmark').each(function(){
		$(this).attr('href', $(this).attr('getPosition'));
		if(!parent.RVwys){
			$(this).attr('data-uk-smooth-scroll', '');
	    }
	});
	
	//build email, external website
	$('.isWebsite, .isEmail').each(function(){
		$(this).attr('href', $(this).attr('holdhref'));
	});
	
	$('.isDownloadFile').each(function(){
		$(this).attr('href', 'http://'+location.host+"/documents/"+$(this).attr('gethref'));
	});
	
	
});